Skip to main content

Atrium API

Aggregate Member Account Balances

This endpoint operates much like the aggregate member endpoint except that it gathers only account balance information; it does not gather any transaction data at all.

If an account balance aggregation is already running, a 202 Accepted status will be returned. If another aggregation-type process is already running — like verification or extended transaction history — a 409 Conflict will be returned.

Repeated calls to this endpoint for the same member can only be made at intervals greater than two hours. If made more frequently, a 429 Too Many Requests status will be returned.

For more information on this and other aggregation-type processes, please see our developer guide

caution
  • Like aggregate member, calling this endpoint may result in multi-factor authentication. It is therefore important that the end user be present when initiating a balance request.
  • Balance jobs are limited to 5 requests every 2 hours.
POST
/users/{user_guid}/members/{member_guid}/balance

Request sample

Language:sh

_10
curl -X POST \
_10
https://vestibule.mx.com/users/{user_guid}/members/{member_guid}/balance \
_10
-H 'Accept: application/vnd.mx.atrium.v1+json' \
_10
-H 'Content-Type: application/json' \
_10
-H 'MX-API-Key: {mx_api_key}' \
_10
-H 'MX-Client-ID: {mx_client_id}'

Response sample

200
Language:json

_15
{
_15
"member": {
_15
"aggregated_at": "2019-10-07T16:25:27Z",
_15
"connection_status": "EXPIRED",
_15
"guid": "MBR-a4652b66-3ee5-cb9f-295a-72eddef61db5",
_15
"identifier": null,
_15
"institution_code": "mxbank",
_15
"is_being_aggregated": true,
_15
"metadata": null,
_15
"name": "MX Bank",
_15
"status": "INITIATED",
_15
"successfully_aggregated_at": "2019-10-07T15:58:59Z",
_15
"user_guid": "USR-72aba5cc-8c74-b22c-227c-4b1c095fa12e"
_15
}
_15
}